## debian-electronics 0.3

=== Makefile ===
#!/usr/bin/make -f

# export GENCONTROL_OPTS = --udd

testopts:
	echo ${GENCONTROLOPTS}
	if [ "$$GENCONTROLOPTS" != "" ] ; then \
	    echo "GENCONTROLOPTS = ${GENCONTROLOPTS} ( $(GENCONTROLOPTS) )" ; \
	fi
	echo "Now test the underscore variable"
	echo ${GENCONTROL_OPTS}
	if [ "$$GENCONTROL_OPTS" != "" ] ; then \
	    echo "GENCONTROL_OPTS = ${GENCONTROL_OPTS} ( $(GENCONTROL_OPTS) )" ; \
	fi

BLENDMAKEFILE=/usr/share/blends-dev/Makefile

CheckBLENDMakefile := $(shell if [ -e $(BLENDMAKEFILE) ] ; then echo 1 ; else echo 0 ; fi)
ifeq ($(CheckBLENDMakefile),1)
    include $(BLENDMAKEFILE)
else
    err := $(shell echo "$(BLENDMAKEFILE) is missing.  Please install blends-dev package!")
endif

dummy:
	@echo $(err)

## debian-electronics 0.1

=== debian/changelog ===
debian-electronics (0.1) unstable; urgency=medium

  * Initial upload of Debian Electronics Blend

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 28 Aug 2018 20:22:26 +0000

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-electronics
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: misc
Priority: optional
Build-Depends-Indep: blends-dev (>= 0.7~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/blends-team/electronics
Vcs-Git: https://salsa.debian.org/blends-team/electronics.git

Package: electronics-tasks
Architecture: all
Depends: tasksel
Description: Debian Electronics tasks for tasksel
 This package is part of the Debian Pure Blend "Debian Electronics" and
 provides additional tasks for tasksel. If this package will be installed all
 tasks which are provided by Debian Electronics will be added to the tasksel
 menu.

Package: electronics-all
Section: metapackages
Architecture: all
Depends: ${misc:Depends}
Recommends: electronics-analog,
            electronics-asic-dev,
            electronics-cad-gui,
            electronics-digital,
            electronics-doc,
            electronics-dsp-dev,
            electronics-fpga-dev,
            electronics-gadgets,
            electronics-measurements,
            electronics-microcontrollers,
            electronics-pcb,
            electronics-radio-dev,
            electronics-simulation
Description: Default selection of tasks for Debian Electronics
 This package is part of the Debian Electronics Pure Blend and installs all
 tasks for a default installation of this blend.

Package: electronics-analog
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: gnucap,
            gwave,
            magic,
            qsapecng,
            simulide
Suggests: ngspice,
          qucs
Description: Debian packages for analog design
 This metapackage will install Debian packages for
 analog simulation and design

Package: electronics-asic-dev
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: electric,
            graywolf,
            gtkwave,
            gwave,
            iverilog,
            magic,
            qflow,
            qrouter,
            verilator,
            yosys
Suggests: netgen-lvs,
          python-gdsii
Description: Debian ASIC development packages
 This metapackage will install Debian packages for ASIC
 development

Package: electronics-cad-gui
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: fritzing,
            geda-gschem,
            kicad,
            pcb,
            pcb-rnd,
            qelectrotech,
            simulide,
            tkgate
Suggests: oregano,
          qucs
Description: Debian packages for CAD tools with GUI
 This metapackage will install Debian packages for electronic
 computer-aided design which have GUIs.

Package: electronics-digital
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: arachne-pnr,
            covered,
            drawtiming,
            ghdl,
            graywolf,
            gtkwave,
            irsim,
            iverilog,
            qflow,
            qrouter,
            simulide,
            verilator,
            yosys
Suggests: klogic,
          python-myhdl
Description: Debian packages for digital design
 This metapackage will install Debian packages for
 digital simulation and design

Package: electronics-doc
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: geda-doc,
            geda-examples,
            kicad-doc-de,
            kicad-doc-en,
            kicad-doc-es,
            kicad-doc-fr,
            kicad-doc-it,
            kicad-doc-ru,
            texlive-latex-extra
Suggests: kicad-doc-pt
Description: Debian packages containing documentation for electronics
 This metapackage will install Debian packages either containing
 documentation for electronics packages, or which can be used
 for generating documentation for electronics.

Package: electronics-dsp-dev
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: dfcgen-gtk,
            gnuradio
Description: Debian packages for filter coefficient calculation etc
 This metapackage will install Debian packages that
 aid the development of digital signal processing circuits
 such as filter design.

Package: electronics-fpga-dev
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: arachne-pnr,
            flexloader,
            fpga-icestorm,
            fpgatools,
            gtkwave,
            iverilog,
            verilator,
            yosys
Description: Debian FPGA development packages
 This metapackage will install Debian packages for FPGA
 development

Package: electronics-gadgets
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: dxf2gcode,
            pymissile,
            ubertooth
Description: Debian packages for interacting with gadgets
 This metapackage will install Debian packages for interacting
 with various gadgets.

Package: electronics-measurements
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: pulseview,
            python3-pymeasure,
            sigrok,
            xoscope
Description: Packages for electronic measurements
 Packages that can be used for measurements

Package: electronics-microcontrollers
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: arduino,
            arduino-core,
            avarice,
            avra,
            avrdude,
            avrp,
            bossa,
            bossa-cli,
            cl-cluck,
            emu8051,
            flashrom,
            gcc-avr,
            gnusim8085,
            gputils,
            lpc21isp,
            lpctools,
            m16c-flash,
            mcu8051ide,
            microhope,
            mspdebug,
            openocd,
            sdcc,
            sdcc-ucsim,
            simulide,
            simulpic,
            teensy-loader-cli,
            uisp,
            usbprog
Suggests: gcc-arm-none-eabi,
          nitpic
Description: Debian packages for dealing with microcontrollers
 This metapackage will install Debian packages for interacting
 with external microcontrollers.

Package: electronics-pcb
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: fritzing,
            geda,
            geda-xgsch2pcb,
            gerbv,
            kicad,
            pcb,
            pcb-rnd,
            visolate
Description: Debian packages for PCB development
 This metapackage will install Debian packages useful
 for the development of printed circuit boards.

Package: electronics-radio-dev
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: antennavis,
            gsmc,
            meep,
            nec2c,
            transcalc,
            xnec2c,
            yagiuda
Suggests: linsmith,
          openems,
          qucs,
          xsmc-calc
Description: Packages for design of circuits at radio frequencies
 This metapackage will install Debian packages for design at radio/ microwave
 frequencies and antennas

Package: electronics-simulation
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         electronics-tasks (= ${source:Version})
Recommends: ghdl,
            gnucap,
            gspiceui,
            gtkwave,
            gwave,
            irsim,
            iverilog,
            simulide,
            tkgate,
            verilator
Suggests: easyspice,
          freehdl,
          gplcver,
          ngspice,
          oregano,
          qucs
Description: Debian packages for simulation of electronic circuits
 This metapackage will install Debian packages for simulation
 of electronics circuits

## debian-electronics 0.2

=== debian/changelog ===
debian-electronics (0.2) unstable; urgency=medium

  * debian/control:
    - New standards version 4.3.0 - no changes
  * Changes in metapackage dependencies
   -electronics-analog
    added:
      Suggests:  python3-gnucap
   -electronics-asic-dev
    added:
      Recommends:  python3-gdsii, gdsiiconvert, python3-gdspy, libgdsii-dev
    removed:
      Recommends:  python-gdsii
   -electronics-digital
    added:
      Recommends:  python3-myhdl
    removed:
      Recommends:  python-myhdl
   -electronics-fpga-dev
    added:
      Recommends:  nextpnr-ice40
   -electronics-microcontrollers
    added:
      Recommends:  gcc-arm-none-eabi
      Suggests:  libjaylink-dev, arduino-builder
    removed:
      Suggests:  gcc-arm-none-eabi
   -electronics-pcb
    added:
      Recommends:  lepton-eda
   -electronics-simulation
    added:
      Suggests:  python3-gnucap

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 10 Feb 2019 22:47:25 +0100

=== debian/control ===
--- 
+++ 
@@ -47,9 +47,10 @@
 Recommends: gnucap,
             gwave,
             magic,
+            ngspice,
             qsapecng,
             simulide
-Suggests: ngspice,
+Suggests: python3-gnucap,
           qucs
 Description: Debian packages for analog design
  This metapackage will install Debian packages for
@@ -61,17 +62,20 @@
 Depends: ${misc:Depends},
          electronics-tasks (= ${source:Version})
 Recommends: electric,
+            gdsiiconvert,
             graywolf,
             gtkwave,
             gwave,
             iverilog,
+            libgdsii-dev,
             magic,
+            netgen-lvs,
+            python3-gdspy,
             qflow,
             qrouter,
             verilator,
             yosys
-Suggests: netgen-lvs,
-          python-gdsii
+Suggests: python3-gdsii
 Description: Debian ASIC development packages
  This metapackage will install Debian packages for ASIC
  development
@@ -84,13 +88,13 @@
 Recommends: fritzing,
             geda-gschem,
             kicad,
+            oregano,
             pcb,
             pcb-rnd,
             qelectrotech,
             simulide,
             tkgate
-Suggests: oregano,
-          qucs
+Suggests: qucs
 Description: Debian packages for CAD tools with GUI
  This metapackage will install Debian packages for electronic
  computer-aided design which have GUIs.
@@ -108,13 +112,13 @@
             gtkwave,
             irsim,
             iverilog,
+            python3-myhdl,
             qflow,
             qrouter,
             simulide,
             verilator,
             yosys
-Suggests: klogic,
-          python-myhdl
+Suggests: klogic
 Description: Debian packages for digital design
  This metapackage will install Debian packages for
  digital simulation and design
@@ -164,6 +168,7 @@
             iverilog,
             verilator,
             yosys
+Suggests: nextpnr-ice40
 Description: Debian FPGA development packages
  This metapackage will install Debian packages for FPGA
  development
@@ -208,6 +213,7 @@
             cl-cluck,
             emu8051,
             flashrom,
+            gcc-arm-none-eabi,
             gcc-avr,
             gnusim8085,
             gputils,
@@ -225,7 +231,8 @@
             teensy-loader-cli,
             uisp,
             usbprog
-Suggests: gcc-arm-none-eabi,
+Suggests: arduino-builder,
+          libjaylink-dev,
           nitpic
 Description: Debian packages for dealing with microcontrollers
  This metapackage will install Debian packages for interacting
@@ -241,6 +248,7 @@
             geda-xgsch2pcb,
             gerbv,
             kicad,
+            lepton-eda,
             pcb,
             pcb-rnd,
             visolate
@@ -255,14 +263,14 @@
          electronics-tasks (= ${source:Version})
 Recommends: antennavis,
             gsmc,
+            linsmith,
             meep,
             nec2c,
+            openems,
             transcalc,
             xnec2c,
             yagiuda
-Suggests: linsmith,
-          openems,
-          qucs,
+Suggests: qucs,
           xsmc-calc
 Description: Packages for design of circuits at radio frequencies
  This metapackage will install Debian packages for design at radio/ microwave
@@ -280,14 +288,15 @@
             gwave,
             irsim,
             iverilog,
+            ngspice,
+            oregano,
             simulide,
             tkgate,
             verilator
 Suggests: easyspice,
           freehdl,
           gplcver,
-          ngspice,
-          oregano,
+          python3-gnucap,
           qucs
 Description: Debian packages for simulation of electronic circuits
  This metapackage will install Debian packages for simulation

## debian-electronics 0.3

=== debian/changelog ===
debian-electronics (0.3) unstable; urgency=medium

  * Team upload.
  * Re-render tasks with Buster release state
  * Depends: ${misc:Depends} for electronics-tasks

 -- Andreas Tille <tille@debian.org>  Thu, 13 Jun 2019 11:37:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: misc
 Priority: optional
 Build-Depends-Indep: blends-dev (>= 0.7~)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/blends-team/electronics
 Vcs-Git: https://salsa.debian.org/blends-team/electronics.git
 
 Package: electronics-tasks
 Architecture: all
-Depends: tasksel
+Depends: tasksel, ${misc:Depends}
 Description: Debian Electronics tasks for tasksel
  This package is part of the Debian Pure Blend "Debian Electronics" and
  provides additional tasks for tasksel. If this package will be installed all
@@ -45,12 +45,12 @@
 Depends: ${misc:Depends},
          electronics-tasks (= ${source:Version})
 Recommends: gnucap,
-            gwave,
             magic,
             ngspice,
             qsapecng,
             simulide
-Suggests: python3-gnucap,
+Suggests: gwave,
+          python3-gnucap,
           qucs
 Description: Debian packages for analog design
  This metapackage will install Debian packages for
@@ -62,20 +62,24 @@
 Depends: ${misc:Depends},
          electronics-tasks (= ${source:Version})
 Recommends: electric,
-            gdsiiconvert,
             graywolf,
             gtkwave,
-            gwave,
             iverilog,
-            libgdsii-dev,
             magic,
             netgen-lvs,
-            python3-gdspy,
             qflow,
             qrouter,
             verilator,
             yosys
-Suggests: python3-gdsii
+Suggests: alliance,
+          coriolis,
+          gdsiiconvert,
+          gwave,
+          klayout,
+          libgdsii-dev,
+          opensta,
+          python3-gdsii,
+          python3-gdspy
 Description: Debian ASIC development packages
  This metapackage will install Debian packages for ASIC
  development
@@ -210,7 +214,6 @@
             avrp,
             bossa,
             bossa-cli,
-            cl-cluck,
             emu8051,
             flashrom,
             gcc-arm-none-eabi,
@@ -232,6 +235,7 @@
             uisp,
             usbprog
 Suggests: arduino-builder,
+          cl-cluck,
           libjaylink-dev,
           nitpic
 Description: Debian packages for dealing with microcontrollers
@@ -263,14 +267,14 @@
          electronics-tasks (= ${source:Version})
 Recommends: antennavis,
             gsmc,
-            linsmith,
             meep,
             nec2c,
             openems,
             transcalc,
             xnec2c,
             yagiuda
-Suggests: qucs,
+Suggests: linsmith,
+          qucs,
           xsmc-calc
 Description: Packages for design of circuits at radio frequencies
  This metapackage will install Debian packages for design at radio/ microwave
@@ -285,7 +289,6 @@
             gnucap,
             gspiceui,
             gtkwave,
-            gwave,
             irsim,
             iverilog,
             ngspice,
@@ -296,6 +299,7 @@
 Suggests: easyspice,
           freehdl,
           gplcver,
+          gwave,
           python3-gnucap,
           qucs
 Description: Debian packages for simulation of electronic circuits

## debian-electronics 0.3build1

=== debian/changelog ===
debian-electronics (0.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 19:12:17 +0000

## debian-electronics 0.3+nmu1

=== debian/changelog ===
debian-electronics (0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:49 +0800
